HMWKGraphInternal::PictureFrame Struct Reference

Internal: the picture of a HMWKGraph. More...

Inheritance diagram for HMWKGraphInternal::PictureFrame:

## Public Member Functions

| PictureFrame (Frame const &orig)
| constructor More...
| ~PictureFrame ()
| destructor More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HMWKGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
bool | getLineColor (MWAWColor &color) const
| returns the line colors More...
bool | getSurfaceColor (MWAWColor &color) const
| returns the surface colors More...

## Public Attributes

int | m_type
| a type More...
Vec2i | m_dim
| a dim? More...
Vec2f | m_borderDim
| the border dim? More...
int | m_values [7]
| some unknown int More...
Public Attributes inherited from HMWKGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
Vec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
float | m_lineWidth
| the line width More...
MWAWColor | m_colors [2]
| the line/surface colors More...
float | m_patterns [2]
| the line/surface percent pattern More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends

std::ostream & | operator<< (std::ostream &o, PictureFrame const &picture)
| operator<< More...

## Detailed Description

Internal: the picture of a HMWKGraph.

## Constructor & Destructor Documentation

HMWKGraphInternal::PictureFrame::PictureFrame | ( | Frame const & | orig | ) |

inline

constructor

HMWKGraphInternal::PictureFrame::~PictureFrame | ( |  | ) |

inline

destructor

## Member Function Documentation

std::string HMWKGraphInternal::PictureFrame::print | ( |  | ) | const

inline

print local data

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PictureFrame const & | picture
| ) |  |

friend

operator<<

## Member Data Documentation

Vec2f HMWKGraphInternal::PictureFrame::m_borderDim

the border dim?

Referenced by print().

Vec2i HMWKGraphInternal::PictureFrame::m_dim

a dim?

Referenced by print().

int HMWKGraphInternal::PictureFrame::m_type

a type

Referenced by print().

int HMWKGraphInternal::PictureFrame::m_values[7]

some unknown int

Referenced by PictureFrame(), and print().

The documentation for this struct was generated from the following file:

- HMWKGraph.cxx